Subject: Re: bug#47408: Etags support for Mercury [v0.5]

From: fabrice nicol <[email-masked]>
Date: Sun, 6 Jun 2021 22:49:19 +0200

> Yes, unless I am mistaken, ctags has no practical use outside of the
>> C-family language domain.
> That's difficult to tell for me.  However, etags provides ctags support
> for all languages it knows about.  I may be missing something, but I
> think Mercury would be the first exception.  If that's the case, maybe
> it would be worth  adding a comment telling so.

ctags only differs from etags by the fact that its output is 
Vim-compatible. But it so happens that Mercury has superior in-built 
support for Vim tagging (the core team use Vim). So ctags would not 
actually be used by users with Vim-compatibility requirements, they 
would just use Mercury tagging on Vim.